com.threerings.whirled.client

## Interface SceneReceiver

All Superinterfaces:
  com.threerings.presents.client.InvocationReceiver

All Known Implementing Classes:
  SceneDirector

    public interface SceneReceiver
    extends com.threerings.presents.client.InvocationReceiver

Defines, for the scene services, a set of notifications delivered asynchronously by the server to the client.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationReceiver

`com.threerings.presents.client.InvocationReceiver.Registration`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `forcedMove(int sceneId)` Used to communicate a required move notification to the client.

### Method Detail

#### forcedMove

    void forcedMove(int sceneId)

Used to communicate a required move notification to the client. The server will have removed the client from their existing scene and the client is then responsible for generating a `SceneService.moveTo(int, int, com.threerings.whirled.client.SceneService.SceneMoveListener)` request to move to the new scene.